clean_all
# Escolher Library
load_library tsmc018_typ
# Definir pasta (observe que deve ser utilizada a barra normal (/) e não a invertida (\)
set_working_dir D:/SEL0632/Comparadores
# Incluir no comando read somente as entidades utilizadas
read -technology "tsmc018_typ" -dont_elaborate  { D:/SEL0632/Comparadores/comp1bit.vhd D:/SEL0632/Comparadores/compNbits.vhd }

# No laço abaixo deve-se indicar corretamente o nome da entidade e arquitetura
for {set x 1} {$x<=256} {set x [expr {$x * 2}]} {
	elaborate comp1bit -architecture rtl 
	elaborate compNbits -architecture ladder -generics N=$x 
	optimize .work.compNbits.ladder -target tsmc018_typ -macro -area -effort quick -hierarchy auto 
	optimize_timing .work.compNbits.ladder 
	report_area area_$x.txt -cell_usage -all_leafs
	report_delay delay_$x.txt -num_paths 1 -critical_paths -clock_frequency
}